Loading...
Searching...
No Matches
pcm_lfloat.c File Reference

PCM Linear<->Float Conversion Plugin Interface. More...

Include dependency graph for pcm_lfloat.c:

## Functions

int | snd_pcm_lfloat_open (snd_pcm_t **pcmp, const char *name, snd_pcm_format_t sformat, snd_pcm_t *slave, int close_slave)
| Creates a new linear conversion PCM.
int | _snd_pcm_lfloat_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new linear<->float conversion PCM.

## Detailed Description

PCM Linear<->Float Conversion Plugin Interface.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2001

## Function Documentation

## _snd_pcm_lfloat_open()

int _snd_pcm_lfloat_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode
| ) |  |

Creates a new linear<->float conversion PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  root | Root configuration node
  conf | Configuration node with copy PCM description
  stream | Stream type
  mode | Stream mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

## snd_pcm_lfloat_open()

int snd_pcm_lfloat_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_pcm_format_t | sformat,
|  | snd_pcm_t * | slave,
|  | int | close_slave
| ) |  |

Creates a new linear conversion PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  sformat | Slave (destination) format
  slave | Slave PCM handle
  close_slave | When set, the slave PCM handle is closed with copy PCM

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.